¬
Prev | Orchestra Opcodes and Operators | Next

## ¬

¬ — Bitwise NOT operator.

## Description

The bitwise operators perform operations of bitwise AND, bitwise OR, bitwise NOT and bitwise non-equivalence.

The priority of these operators is less binding that the arithmetic ones, but more binding that the comparisons.

Parentheses may be used as above to force particular groupings.

## Syntax

    ~ a  (bitwise NOT)

where the argument a may be a further expression. It is converted to the nearest integer to machine precision and then the operation is performed.

## See Also

&, | #

Prev | Up | Next
| | Home | #